int position, rc = find ("AaBbCcDd...", "d");             

if (position)                                                                  /*  "logical expression is not 1 or 0" */
{
  ...
}

if (rc)
{
  ...
}